std::ios_base::failure Class Reference
Exceptions
Inheritance diagram for std::ios_base::failure:
[legend]

## Public Member Functions

| failure (const string &__str) throw ()
virtual const char * | what () const throw ()

## Detailed Description

These are thrown to indicate problems with io.

27.4.2.1.1 Class ios_base::failure.

Definition at line 209 of file ios_base.h.

## Member Function Documentation

virtual const char* std::ios_base::failure::what | ( |  | ) | const throw ()

virtual

Returns a C-style character string describing the general cause of the current error.

Reimplemented from std::exception.

The documentation for this class was generated from the following file:

- ios_base.h